Plesk\backup\Agent\Schema\Backup\Dnsrec\DnsrecAType:
    properties:
        type:
            expose: true
            access_type: public_method
            serialized_name: type
            accessor:
                getter: getType
                setter: setType
            xml_attribute: true
            type: string
        src:
            expose: true
            access_type: public_method
            serialized_name: src
            accessor:
                getter: getSrc
                setter: setSrc
            xml_attribute: true
            type: string
        dst:
            expose: true
            access_type: public_method
            serialized_name: dst
            accessor:
                getter: getDst
                setter: setDst
            xml_attribute: true
            type: string
        opt:
            expose: true
            access_type: public_method
            serialized_name: opt
            accessor:
                getter: getOpt
                setter: setOpt
            xml_attribute: true
            type: string
        ttl:
            expose: true
            access_type: public_method
            serialized_name: ttl
            accessor:
                getter: getTtl
                setter: setTtl
            xml_attribute: true
            type: int
        status:
            expose: true
            access_type: public_method
            serialized_name: status
            accessor:
                getter: getStatus
                setter: setStatus
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
